## autofs 0.3.14

=== daemon/Makefile ===
#
# Makefile for autofs
#

SRCS = automount.c spawn.c module.c mount.c
OBJS = automount.o spawn.o module.o mount.o

include ../Makefile.rules

version := $(shell cat ../.version)

CFLAGS += -rdynamic -DAUTOFS_LIB_DIR=\"$(autofslibdir)\" -DVERSION_STRING=\"$(version)\" -I../include
LDFLAGS += -rdynamic
LIBS = -ldl

all: automount

automount: $(OBJS)
	$(CC) $(LDFLAGS) -o automount $(OBJS) $(LIBS)
	$(STRIP) automount

clean:
	rm -f *.o *.s automount

install: all
	install -c automount -m 755 -o root $(sbindir)

=== man/Makefile ===
include ../Makefile.rules

install:
	install -c *.5 -m 644 $(mandir)/man5
	install -c *.8 -m 644 $(mandir)/man8

all:

clean:

## autofs 4.1.3+4.1.4beta2

=== samples/Makefile ===
#
# $Id: Makefile,v 1.7 2005/01/04 14:36:54 raven Exp $
#
-include ../Makefile.conf
include ../Makefile.rules

ifeq ($(LDAP), 1)
  SRCS = autofs-ldap-auto-master.c
  OBJS = autofs-ldap-auto-master.o
  BINS = autofs-ldap-auto-master
endif

CFLAGS += -I../include
LIBS = -lldap -llber

all: $(BINS) rc.autofs

autofs-ldap-auto-master: $(OBJS)
	$(CC) $(LDFLAGS) -o autofs-ldap-auto-master $(OBJS) $(LIBS)
	$(STRIP) autofs-ldap-auto-master

rc.autofs: rc.autofs.in
	sed -e "s|@@sbindir@@|$(sbindir)|g" \
	    -e "s|@@autofslibdir@@|$(autofslibdir)|g" \
	    -e "s|@@initdir@@|$(initdir)|g" < rc.autofs.in > rc.autofs

install: all
	install -d -m 755 $(INSTALLROOT)/etc
	-mv -f $(INSTALLROOT)/etc/auto.master $(INSTALLROOT)/etc/auto.master.old
	install -c auto.master -m 644 $(INSTALLROOT)/etc
	-mv -f $(INSTALLROOT)/etc/auto.misc $(INSTALLROOT)/etc/auto.misc.old
	install -c auto.misc   -m 644 $(INSTALLROOT)/etc
	-mv -f $(INSTALLROOT)/etc/auto.net $(INSTALLROOT)/etc/auto.net.old
	install -c auto.net    -m 755 $(INSTALLROOT)/etc
	-mv -f $(INSTALLROOT)/etc/auto.smb $(INSTALLROOT)/etc/auto.smb.old
	install -c auto.smb    -m 755 $(INSTALLROOT)/etc
	install -d -m 755 $(INSTALLROOT)$(initdir)
	install -c rc.autofs   -m 755 $(INSTALLROOT)$(initdir)/autofs
	install -d -m 755 $(INSTALLROOT)$(autofslibdir)
	install -d -m 755 $(INSTALLROOT)/var/run/autofs
ifeq ($(LDAP), 1)
	install -c autofs-ldap-auto-master -m 755 $(INSTALLROOT)$(autofslibdir)
endif

clean):
	rm -f *.o *.s autofs-ldap-auto-master rc.autofs

## autofs 5.0.6

=== debian/changelog ===
autofs (5.0.6-2ubuntu2) quantal; urgency=low

  * Add patch to fix nsswitch parser to accept nsswitch.conf without an
    automout stanza as valid file. (Closes: #602090) (LP: #488696)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 12 Sep 2012 17:18:24 +0100

autofs (5.0.6-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #1006509), remaining changes:
    - debian/autofs.upstart - upstart job
    - debian/patches/16group_buffer_size.patch:
      + prevents package to eat the cpu if you have large groups.

  * Dropped changes:
    - 17ld.patch, applied in debian as link-daemon-with-lpthread.patch
      and save-hesiod-libs-correctly.patch
  
  * This upload renames autofs5 back to autofs, following debian's name
    change.
  
  * Added patch descriptions/headers to 16group_buffer_size

  * debian/patches/0001-Remove-kernel-mount.nfs-version-checks-on-Debian-Ubu.patch:
    Remove kernel & mount.nfs version checks on Debian/Ubuntu. (LP: #1016673)
  
 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 20 Jun 2012 12:34:50 +0100

autofs (5.0.6-2) unstable; urgency=low

  [Dmitry Smirnov]
  * minor update to 'manpages.patch' (Closes: #603092)
  * added VCS links

  [Michael Tokarev]
  * conffile installation:
    - do no ship /etc/default/autofs (Closes: #673796)
    - install /etc/init.d/autofs manually (dh_installinit have issue finding it)
    - removed ugly symlinks debian/autofs.{default,init}
    - list bin programs and modules more explicitly in debian/*.install
    - transfer ucf conffile ownership from old autofs5 to autofs
  * removed debian/configure_override
  * recommend kmod|module-init-tools
  * ship debian/autofs.init instead of heavily patching upstream script
  * simplify (and fix) debian/autofs.init a bit in loading/checking modules,
    and use /bin/sh instead of /bin/bash
  * remove messing with /dev/autofs misc device in initscript,
    it is managed by udev or devtmpfs
  * remove (now unused) USE_MISC_DEVICE definition from default/autofs too
  * do not check for modprobe or procfs in configure, since module loading
    is ifdef'ed out in the code, and #ifdef the missing parts too
    (do-not-check-for-modprobe-procfs-or-load-module.patch)
  * always define standard program paths when building even if the corresponding
    utility isn't installed (e2fsck, mount, mount.nfs).  There is no need to
    check presence of standard utilities or verify their standard abilities.
  * also define other paths explicitly instead of relying on a config-time
    search - the build will be wrong if some directory (eg, /etc/sysconfig)
    will be present during configure time.
  * autoreconf and clean autoconf-generated files, FTBFS (Closes: #674391)
    This still does not make quilt patches easily revertable, since we
    don't save old configure and upstream changes patches configure to,
    so once regenerated by autoreconf, it will be different.
  * do not use $DEB_HOST_MULTIARCH in debian/rules without setting it
  * two patches:
      debian/patches/link-daemon-with-lpthread.patch
      debian/patches/save-hesiod-libs-correctly.patch
    to fix gold/-Wl,-no-as-needed FTBFS.
  * remove individual upstream patches from debian/patches and replace them
    with single autofs-5.0.6-upstream-git.patch - all upstream commits in
    master branch since release_5_0_6 tag.  Update this patch to include
    all current fixes too (up to 2012-06-01).
  * added debian/TODO file

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 24 May 2012 10:53:13 +0400

autofs (5.0.6-1) unstable; urgency=low

  * New upstream release
    - "mount(nfs): no hosts available" (Closes: #608459).
    - "new upstream version available" (Closes: #602933).
    - "autofs mounted directory are never dismounted" (Closes: #521165).
    - "autofs5 does not support recursive mount" (Closes: #626473).
    - "autofs5 crashed in a nested setup in combination with
       negative lookups on *" (Closes: #617317).
    - "autofs5-ldap: simple bind auth feature request" (Closes: #595808).
    - "autofs5-ldap: SASL auth broken" (Closes: #568813).
  * package rename: dropping '5' from package names (Closes: #655351).
  * NMU changes acknowledged (Closes: #603491, #583094).
  * register /etc/default/autofs with ucf (Closes: #556961).
  * debian/copyright to DEP-5 format; upstream copyright audit.
  * packaging update:
    * use debhelper & compat version 9.
    * standards to 3.9.3
    * lintian-override for 'non-standard-file-perm'
    * install missing autofs_ldap_auth.conf.5 man page
    * source format to version 3 and .xz compression
    * debian/rules rewritten in debhelper style
  * patchworks:
    + replacing upstream patches with new patchset as of 2012-04-23.
    + replacing dpatch with quilt (Closes: #668077)
    + new patch to correct manpages spelling (Closes: #660075)
      thanks to Oz Nahum Tiram and Javi Merino
    + updated SYSV init script patch:
      * removed bashisms (Closes: #626435).
      * introduce 'status' support to SYSV script
        (Closes: #651978, #667811, #565507).
      * adding 'slapd' to Should-Start/Stop (Closes: #600764, #659616).
      * LSB output (Closes: #567805) thanks to Petter Reinholdtsen.
  * declare myself as Maintainer (adopting package)

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 23 Apr 2012 00:30:51 +1000

autofs5 (5.0.6-0ubuntu5) precise; urgency=low

  * d/autofs5.autofs.upstart: Drop wait-for-state from configuration as 
    waiting for NIS to start is already handled in the NIS package by 
    the start-ypbind upstart configuration which supports autofs 
    (LP: #958704). 

 -- James Page <james.page@ubuntu.com>  Thu, 22 Mar 2012 11:02:03 +0000

autofs5 (5.0.6-0ubuntu4) precise; urgency=low

  * d/autofs5.autofs.upstart: Wait for NIS if it is installed. Also
    use the more generic runlevel event to start (LP: #573919)
  * d/control: Depend on upstart >= 0.9.7-2 since we rely on wait-for-state.



=== debian/control ===
Source: autofs
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
Uploaders: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>,
 Michael Tokarev <mjt@tls.msk.ru>, William Dauchy <wdauchy@gmail.com>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9), autoconf, lsb-base,
 bison, flex, libhesiod-dev, libkrb5-dev, libldap-dev, libsasl2-dev, libssl-dev, libxml2-dev
Homepage: http://www.kernel.org/pub/linux/daemons/autofs/v5/
VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/autofs.git
VCS-Git: git://anonscm.debian.org/collab-maint/autofs.git

Package: autofs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf
Provides: autofs5
Breaks: autofs5 (<< 5.0.6-1~)
Replaces: autofs5 (<< 5.0.6-1~)
Recommends: nfs-common, kmod | module-init-tools
Description: kernel-based automounter for Linux
 Autofs controls the operation of the automount daemons. The
 automount daemons automatically mount filesystems when they
 are used and unmount them after a period of inactivity. This
 is done based on a set of pre-configured maps.
 .
 The kernel automounter implements an almost complete SunOS
 style automounter under Linux. A recent version of the kernel
 autofs4 module (builtin or separate) is required.
 .
 This is the autofs daemon.

Package: autofs-ldap
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, autofs (= ${binary:Version})
Provides: autofs5-ldap
Breaks: autofs5-ldap (<< 5.0.6-1~)
Replaces: autofs5-ldap (<< 5.0.6-1~)
Description: LDAP map support for autofs
 Autofs controls the operation of the automount daemons. The
 automount daemons automatically mount filesystems when they
 are used and unmount them after a period of inactivity. This
 is done based on a set of pre-configured maps.
 .
 The kernel automounter implements an almost complete SunOS
 style automounter under Linux. A recent version of the kernel
 autofs4 module (builtin or separate) is required.
 .
 This is the LDAP module of the autofs.

Package: autofs-hesiod
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, autofs (= ${binary:Version})
Provides: autofs5-hesiod
Breaks: autofs5-hesiod (<< 5.0.6-1~)
Replaces: autofs5-hesiod (<< 5.0.6-1~)
Description: Hesiod map support for autofs
 Autofs controls the operation of the automount daemons. The
 automount daemons automatically mount filesystems when they
 are used and unmount them after a period of inactivity. This
 is done based on a set of pre-configured maps.
 .
 The kernel automounter implements an almost complete SunOS
 style automounter under Linux. A recent version of the kernel
 autofs4 module (builtin or separate) is required.
 .
 This is the Hesiod module of the autofs.


Package: autofs5
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, autofs (>= ${binary:Version})
Description: transitional dummy package for 'autofs'
 This transitional dummy package is safe to remove.

Package: autofs5-ldap
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, autofs-ldap (>= ${binary:Version})
Description: transitional dummy package for 'autofs-ldap'
 This transitional dummy package is safe to remove.

Package: autofs5-hesiod
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, autofs-hesiod (>= ${binary:Version})
Description: transitional dummy package for 'autofs-hesiod'
 This transitional dummy package is safe to remove.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	autoreconf --force
# Set some standard util paths explicitly,
# or else we'll have to build-depend on all of them.
# It is hackish, real solution should be to patch upstream
# to never check for standard utilities.
# Upstream also should not distinguish between ext*fs,
# for all of which /sbin/e2fsck is the real filesystem checker
# which will figure out type of the filesystem automatically.
# Also explicitly define some dirs/locations which will be searched
# if not defined.
	MOUNT=/bin/mount UMOUNT=/bin/umount \
	MOUNT_NFS=/sbin/mount.nfs \
	E2FSCK=/sbin/fsck.ext2 E3FSCK=/sbin/fsck.ext3 E4FSCK=/sbin/fsck.ext4 \
	initdir=/etc/init.d piddir=/run \
	dh_auto_configure -- \
		--enable-forced-shutdown \
		--enable-ignore-busy \
		--mandir=/usr/share/man \
		--with-confdir=/etc/default \
		--with-mapdir=/etc \
		--with-fifodir=/run --with-flagdir=/run \
		--with-hesiod \
		--with-openldap \
		--with-sasl
# Always define HAVE_SLOPPY_MOUNT (mount -s).  Also a hack and
# the same comment as above applies: upstream should use it unconditionally.
# Even busybox mount understands -s.
	sed -i 's/.*HAVE_SLOPPY_MOUNT.*/#define HAVE_SLOPPY_MOUNT 1/' \
		include/config.h

override_dh_install:
	dh_install
	# remove hesiod and ldap modules, they're in separate packages
	$(RM) debian/autofs/usr/lib/*/autofs/*hesiod*.so \
              debian/autofs/usr/lib/*/autofs/*ldap*.so

override_dh_installinit:
# /etc/default/autofs is shipped using ucf
	dh_installinit -pautofs -- start 19 2 3 4 5 . stop 81 0 1 6 .

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_fixperms:
	dh_fixperms -Xdebian/autofs-ldap/etc/autofs_ldap_auth.conf

## autofs 5.0.7

=== Makefile ===
#
# Main Makefile for the autofs user-space tools
#

-include Makefile.conf
include Makefile.rules

.PHONY: daemon all clean samples install install_samples
.PHONY: mrproper distclean backup

all:	daemon samples

daemon:
	set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i all; done 

kernel:
	set -e; if [ -d kernel ]; then $(MAKE) -C kernel all; fi

samples:
	set -e; if [ -d samples ]; then $(MAKE) -C samples all; fi

clean:
	for i in $(SUBDIRS) samples; do \
		if [ -d $$i ]; then $(MAKE) -C $$i clean; fi; done 	

install:
	set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i install; done 	

install_kernel:
	set -e; if [ -d kernel ]; then $(MAKE) -C kernel install; fi

install_samples:
	set -e; if [ -d samples ]; then $(MAKE) -C samples install; fi

mrproper distclean: clean
	find . -noleaf \( -name '*~' -o -name '#*' -o -name '*.orig' -o -name '*.rej' -o -name '*.old' \) -print0 | xargs -0 rm -f
	-rm -f include/config.h Makefile.conf config.* .autofs-*
	echo x > .autofs-`cat .version`
	sed -e "s/(\.autofs-[0-9.]\+)/(.autofs-`cat .version`)/" < configure.in > configure.in.tmp
	mv -f configure.in.tmp configure.in
	rm -f configure
	$(MAKE) configure

TODAY  := $(shell date +'%Y%m%d')
PKGDIR := $(shell basename `pwd`)
VERSION := $(shell cat .version)

backup: mrproper
	cd .. ; tar zcf - $(PKGDIR) | gzip -9 > autofs-$(VERSION)-bu-$(TODAY).tar.gz 

configure: configure.in aclocal.m4
	autoconf
	autoheader
	rm -rf config.* *.cache

configure.in: .version
	-rm -f .autofs-*
	echo x > .autofs-`cat .version`
	sed -e "s/(\.autofs-[0-9.]\+)/(.autofs-`cat .version`)/" < configure.in > configure.in.tmp
	mv -f configure.in.tmp configure.in

-include Makefile.private

=== lib/Makefile ===
#
# Makefile for autofs utility library
#

-include ../Makefile.conf
include ../Makefile.rules

SRCS = cache.c cat_path.c rpc_subs.c mounts.c log.c nsswitch.c \
	master_tok.l master_parse.y nss_tok.c nss_parse.tab.c \
	args.c alarm.c macros.c master.c defaults.c parse_subs.c \
	dev-ioctl-lib.c
RPCS = mount.h mount_clnt.c mount_xdr.c
OBJS = cache.o mount_clnt.o mount_xdr.o cat_path.o rpc_subs.o \
	mounts.o log.o nsswitch.o master_tok.o master_parse.tab.o \
	nss_tok.o nss_parse.tab.o args.o alarm.o macros.o master.o \
	defaults.o parse_subs.o dev-ioctl-lib.o

YACCSRC = nss_tok.c nss_parse.tab.c nss_parse.tab.h \
	  master_tok.c master_parse.tab.c master_parse.tab.h

LIB = autofs.a

CFLAGS += -I../include -fPIC -D_GNU_SOURCE
CFLAGS += -DAUTOFS_MAP_DIR=\"$(autofsmapdir)\"
CFLAGS += -DAUTOFS_CONF_DIR=\"$(autofsconfdir)\"

.PHONY: all install clean

all: autofs.a

autofs.a: $(OBJS)
	rm -f $(LIB)
	$(AR) $(ARFLAGS) $(LIB) $(OBJS)
	-$(RANLIB) $(LIB)

mount.h: mount.x
	$(RPCGEN) -h -o mount.h mount.x

mount_clnt.c: mount.h
	$(RPCGEN) -l -o mount_clnt.c mount.x

mount_clnt.o: mount_clnt.c
	$(CC) $(CFLAGS) -o mount_clnt.o -c mount_clnt.c
	$(STRIP) mount_clnt.o

mount_xdr.c: mount.h
	$(RPCGEN) -c -o mount_xdr.c mount.x

mount_xdr.o: mount_xdr.c
	$(CC) $(CFLAGS) -Wno-unused-variable -o mount_xdr.o -c mount_xdr.c
	$(STRIP) mount_xdr.o

master_tok.c: master_tok.l
	$(LEX) -o$@ -Pmaster_ $?

master_parse.tab.c master_parse.tab.h: master_parse.y
	$(YACC) -v -d -p master_ -b master_parse $?

master_tok.o: master_tok.c master_parse.tab.h

master_parse.tab.o: master_parse.tab.c master_parse.tab.h

nss_tok.c: nss_tok.l
	$(LEX) -o$@ -Pnss_ $?

nss_parse.tab.c nss_parse.tab.h: nss_parse.y
	$(YACC) -v -d -p nss_ -b nss_parse $?

nss_tok.o: nss_tok.c nss_parse.tab.h

nss_parse.tab.o: nss_parse.tab.c nss_parse.tab.h

install: all

clean:
	rm -f $(LIB) $(RPCS) $(OBJS) $(YACCSRC) *.output *~

=== debian/changelog ===
autofs (5.0.7-3~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports: de-multiarch package.

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 21 Oct 2012 19:33:39 +0400

autofs (5.0.7-3) unstable; urgency=low

  * pidfile is in /var/run not /run: fix the initscript
    (forgotten part of #682675)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 10 Oct 2012 21:28:40 +0400

autofs (5.0.7-2) unstable; urgency=low

  * force transfer ucf autofs5=>autofs ownership for all ucf-managed
    files (Closes: #689747)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 06 Oct 2012 13:06:37 +0400

autofs (5.0.7-1) unstable; urgency=low

  * new upstream (5.0.7) release.  It brings the following changes:
    - fixed remount deadlock, and several other locking fixes
    - fixed umount recovery for busy direct mounts
    - removed old code (mount-move which was fixed in 5.0.6-4 #686438)
    - fix hosts lookup module to be more robust
    - implemented abilty to re-read indirect maps on the fly (sighup)
    - fixes for nfs handling to be more robust
    - several fixes for multi-mount entries
    - several fixes for NFSv4 mounts (Closes: #675798)
    and a few more small/misc fixes.  This is all-bugfix changes,
    making the code more robust and less buggy.
  * removed --disable-mount-move configure option, not needed anymore.
  * removed autofs-5.0.6-upstream-git.patch.
  * refreshed manpages-hyphen.patch.
  * added selected fixes from upstream git, up to upstream/master commit
    9872cdbf9f1588174121e6ffe6f7509cde2d98e9:
    - 0001-autofs-5.0.7-fix-nobind-sun-escaped-map-entries.patch (Closes: #678408)
    - 0002-autofs-5.0.7-fix-use-cache-entry-after-free-mistake.patch
    - 0004-autofs-5.0.7-fix-parse-buffer-initialization.patch
    - 0005-autofs-5.0.7-fix-typo-in-automount-8.patch
  * added remove-kernel-mount.nfs-version-check.patch to stop automount from
    checking for very old mount.nfs or kernel.  The check isn't necessary
    (that's pre-squeeze versions, so not even versioned Breaks are needed
    anymore), but it is also harmful, since automount spawns mount.nfs at
    startup and confuses upstart and systemd who start tracking wrong
    process.  The patch just removes these checks assuming we always use
    recent enough versions.  (Closes: #678555)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 26 Sep 2012 21:15:05 +0400

autofs (5.0.6-4) unstable; urgency=low

  * configure with --disable-mount-move -- upstream even removed the
    code in question for 5.0.7 release (Closes: #686438)
  * remove autofs5.postrm in autofs.postinst to cope with old maintscript
    removing our configfiles.  See comments in autofs.postinst for more
    details (Closes: #686146)
  * added allow-nsswitch.conf-to-not-contain-automount-lines.patch
    (submitted to upstream too) to stop automount from complaining
    when nsswitch.conf does not mention autofs (which is almost every
    install anyway).  (Closes: #682266, #602090)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 22 Sep 2012 13:07:46 +0400

autofs (5.0.6-3) unstable; urgency=low

  [Michael Tokarev]
  * almost completely rewrote the startup script, make it cleaner,
    consistent and actually returning proper exit codes.  Removed
    $"" constructs too, dash apparently does not understand these.
    (Closes: #677520, #683936)
  * transfer ownership of ucf-conffiles forcibly only if they're
    owned by autofs5, not by any other package.
  * run ucf --purge in postrm only if it is installed, and in the
    right order too (Closes: #685468)
  * added filagdir.patch - fix a typo in configure.in which prevents
    from specifying runtime directory (Closes: #678384)
  * use /var/run not /run for runtime files (we don't really need
    it to be available on upgrade, before initscripts et all has
    been replaced) (Closes: #682675)

  [Dmitry Smirnov]
  * setting current team leader as Maintainer
  * pass CPPFLAGS to fix "hardening-no-fortify-functions"
  * new fix-ldflags.patch to avoid dropping LDFLAGS in order to
    fix "hardening-no-relro"
  * updated manpages-hyphen.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 25 Aug 2012 16:13:02 +0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: autofs
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
+Maintainer: Michael Tokarev <mjt@tls.msk.ru>
 Uploaders: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>,
- Michael Tokarev <mjt@tls.msk.ru>, William Dauchy <wdauchy@gmail.com>
+ Dmitry Smirnov <onlyjob@member.fsf.org>, William Dauchy <wdauchy@gmail.com>
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 9), autoconf, lsb-base,
  bison, flex, libhesiod-dev, libkrb5-dev, libldap-dev, libsasl2-dev, libssl-dev, libxml2-dev

=== debian/rules ===
--- 
+++ 
@@ -20,14 +20,14 @@
 	MOUNT=/bin/mount UMOUNT=/bin/umount \
 	MOUNT_NFS=/sbin/mount.nfs \
 	E2FSCK=/sbin/fsck.ext2 E3FSCK=/sbin/fsck.ext3 E4FSCK=/sbin/fsck.ext4 \
-	initdir=/etc/init.d piddir=/run \
+	initdir=/etc/init.d piddir=/var/run \
 	dh_auto_configure -- \
 		--enable-forced-shutdown \
 		--enable-ignore-busy \
 		--mandir=/usr/share/man \
 		--with-confdir=/etc/default \
 		--with-mapdir=/etc \
-		--with-fifodir=/run --with-flagdir=/run \
+		--with-fifodir=/var/run --with-flagdir=/var/run \
 		--with-hesiod \
 		--with-openldap \
 		--with-sasl
@@ -37,11 +37,15 @@
 	sed -i 's/.*HAVE_SLOPPY_MOUNT.*/#define HAVE_SLOPPY_MOUNT 1/' \
 		include/config.h
 
+override_dh_auto_build:
+	CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
+	dh_auto_build
+
 override_dh_install:
 	dh_install
 	# remove hesiod and ldap modules, they're in separate packages
-	$(RM) debian/autofs/usr/lib/*/autofs/*hesiod*.so \
-              debian/autofs/usr/lib/*/autofs/*ldap*.so
+	$(RM) debian/autofs/usr/lib/autofs/*hesiod*.so \
+              debian/autofs/usr/lib/autofs/*ldap*.so
 
 override_dh_installinit:
 # /etc/default/autofs is shipped using ucf

## autofs 5.0.8

=== debian/changelog ===
autofs (5.0.8-2) unstable; urgency=medium

  [ Salvatore Bonaccorso <carnil@debian.org> ]
  * Add patches for CVE-2014-8169 (Closes: #779591).
    When a program map uses an interpreted languages like python it is
    possible to load and execute arbitray code from a user home directory.
    This is because the standard environment variables are used to locate
    and load modules when using these languages. To avoid that, a prefix to
    these environment names is added so that they aren't used for this
    purpose. The prefix used is "AUTOFS_" and is not configurable.
    Additionally a configuration option to force the use of program map
    standard environment variables is added (FORCE_STANDARD_PROGRAM_MAP_ENV).

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * Refreshed other patches as needed.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 19 Mar 2015 18:38:23 +1100

autofs (5.0.8-1) unstable; urgency=low

  * New upstream release [October 2013] (Closes: #729023).
  * "debian/copyright":
    + corrected BSD-3-clause license name.
    + added Michael Tokarev's copyright.
  * "debian/control":
    + Standards to 3.9.5.
    + updated my email address.
  * Patches removed (applied-upstream):
    - 0001-autofs-5.0.7-fix-nobind-sun-escaped-map-entries.patch
    - 0002-autofs-5.0.7-fix-use-cache-entry-after-free-mistake.patch
    - 0004-autofs-5.0.7-fix-parse-buffer-initialization.patch
    - 0005-autofs-5.0.7-fix-typo-in-automount-8.patch
    - allow-nsswitch.conf-to-not-contain-automount-lines.patch
    - save-hesiod-libs-correctly.patch
  * Patches updated:
    + 11default_automaster_location.patch
    + manpages.patch
    + manpages-hyphen.patch
    + default-autofs-remove-USE_MISC_DEVICE.patch
    + do-not-check-for-modprobe-procfs-or-load-module.patch
    + link-daemon-with-lpthread.patch
    + fix-ldflags.patch
    + remove-kernel-mount.nfs-version-check.patch
  * "autofs-ldap":
    + install "samples/auto.master.ldap".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 07 Mar 2014 12:52:31 +1100

=== debian/rules ===
--- 
+++ 
@@ -44,8 +44,8 @@
 override_dh_install:
 	dh_install
 	# remove hesiod and ldap modules, they're in separate packages
-	$(RM) debian/autofs/usr/lib/autofs/*hesiod*.so \
-              debian/autofs/usr/lib/autofs/*ldap*.so
+	$(RM) debian/autofs/usr/lib/*/autofs/*hesiod*.so \
+              debian/autofs/usr/lib/*/autofs/*ldap*.so
 
 override_dh_installinit:
 # /etc/default/autofs is shipped using ucf

## autofs 5.1.1

=== lib/Makefile ===
--- 
+++ 
@@ -23,6 +23,10 @@
 CFLAGS += -I../include -fPIC -D_GNU_SOURCE
 CFLAGS += -DAUTOFS_MAP_DIR=\"$(autofsmapdir)\"
 CFLAGS += -DAUTOFS_CONF_DIR=\"$(autofsconfdir)\"
+
+ifeq ($(LDAP), 1)
+  CFLAGS += $(XML_FLAGS) $(XML_LIBS)
+endif
 
 .PHONY: all install clean
 
@@ -70,6 +74,8 @@
 
 nss_parse.tab.o: nss_parse.tab.c nss_parse.tab.h
 
+rpc_subs.o: mount.h
+
 install: all
 
 clean:

=== modules/Makefile ===
#
# Makefile for autofs
#

-include ../Makefile.conf
include ../Makefile.rules

SRCS :=	lookup_file.c lookup_program.c  lookup_userhome.c \
	lookup_multi.c lookup_hosts.c lookup_dir.c \
	parse_sun.c parse_amd.c \
	mount_generic.c  mount_nfs.c  mount_afs.c  mount_autofs.c \
	mount_changer.c  mount_bind.c

MODS :=	lookup_file.so lookup_program.so lookup_userhome.so \
	lookup_multi.so lookup_hosts.so lookup_dir.so \
	parse_sun.so parse_amd.so \
	mount_generic.so mount_nfs.so mount_afs.so mount_autofs.so \
	mount_changer.so mount_bind.so

YACCSRC = amd_tok.c amd_parse.tab.c amd_parse.tab.h \

ifeq ($(EXT2FS), 1)
  SRCS += mount_ext2.c
  MODS += mount_ext2.so
else
 ifeq ($(EXT3FS), 1)
   SRCS += mount_ext2.c
   MODS += mount_ext2.so
 endif
endif

ifeq ($(HESIOD), 1)
  SRCS += lookup_hesiod.c  parse_hesiod.c
  MODS += lookup_hesiod.so parse_hesiod.so
endif

ifeq ($(NISPLUS), 1)
  SRCS += lookup_nisplus.c
  MODS += lookup_nisplus.so
endif

ifeq ($(YPCLNT), 1)
  SRCS += lookup_yp.c
  MODS += lookup_yp.so
endif

ifeq ($(LDAP), 1)
  SRCS += lookup_ldap.c
  MODS += lookup_ldap.so
  LDAP_FLAGS += $(XML_FLAGS) -DLDAP_THREAD_SAFE
  LIBLDAP += $(XML_LIBS)
  ifeq ($(SASL), 1)
    SASL_OBJ = cyrus-sasl.o cyrus-sasl-extern.o
    LDAP_FLAGS += $(SASL_FLAGS) $(KRB5_FLAGS)
    LIBLDAP += $(LIBSASL) $(KRB5_LIBS)
  endif
endif

ifeq ($(SSSD), 1)
  CFLAGS += -DSSS_LIB_DIR=\"$(ssslibdir)\"
  SRCS += lookup_sss.c
  MODS += lookup_sss.so
endif

CFLAGS += -I../include -I../lib -fPIC -D_GNU_SOURCE
CFLAGS += -DAUTOFS_LIB_DIR=\"$(autofslibdir)\"
CFLAGS += -DAUTOFS_MAP_DIR=\"$(autofsmapdir)\"

all: $(MODS)

clean:
	rm -f *.o *.s *.so *~

# mount_smbfs.so is an obsolete module which must be removed
install: all
	install -d -m 755 $(INSTALLROOT)$(autofslibdir)
	install -c $(MODS) -m 755 $(INSTALLROOT)$(autofslibdir)
	-rm -f $(INSTALLROOT)$(autofslibdir)/mount_smbfs.so
	ln -fs lookup_file.so $(INSTALLROOT)$(autofslibdir)/lookup_files.so
	ln -fs lookup_yp.so $(INSTALLROOT)$(autofslibdir)/lookup_nis.so
ifeq ($(LDAP), 1)
	ln -fs lookup_ldap.so $(INSTALLROOT)$(autofslibdir)/lookup_ldaps.so
endif
	ln -fs mount_nfs.so $(INSTALLROOT)$(autofslibdir)/mount_nfs4.so
ifeq ($(EXT2FS), 1)
 ifeq ($(EXT3FS), 1)
	ln -fs mount_ext2.so $(INSTALLROOT)$(autofslibdir)/mount_ext3.so
 endif
 ifeq ($(EXT4FS), 1)
	ln -fs mount_ext2.so $(INSTALLROOT)$(autofslibdir)/mount_ext4.so
 endif
else ifeq ($(EXT3FS), 1)
	mv $(INSTALLROOT)$(autofslibdir)/mount_ext2.so $(INSTALLROOT)$(autofslibdir)/mount_ext3.so
 ifeq ($(EXT4FS), 1)
	ln -fs mount_ext3.so $(INSTALLROOT)$(autofslibdir)/mount_ext4.so
 endif
else ifeq ($(EXT4FS), 1)
	mv $(INSTALLROOT)$(autofslibdir)/mount_ext2.so $(INSTALLROOT)$(autofslibdir)/mount_ext4.so
endif

amd_tok.c: amd_tok.l
	$(LEX) -o$@ -Pamd_ $?

amd_tok.o: amd_tok.c amd_parse.tab.h

amd_parse.tab.c amd_parse.tab.h: amd_parse.y
	$(YACC) -v -d -p amd_ -b amd_parse $?

amd_parse.tab.o: amd_parse.tab.c amd_parse.tab.h

parse_amd.so: parse_amd.c amd_parse.tab.o amd_tok.o
	$(CC) $(LDFLAGS) $(SOLDFLAGS) $(CFLAGS) -o parse_amd.so \
		parse_amd.c amd_parse.tab.o amd_tok.o $(AUTOFS_LIB) $(LIBS)
	$(STRIP) parse_amd.so

#
# Ad hoc compilation rules for modules which need auxilliary libraries
#
lookup_hesiod.so: lookup_hesiod.c
	$(CC) $(LDFLAGS) $(SOLDFLAGS) $(CFLAGS) $(HESIOD_FLAGS) -o lookup_hesiod.so \
		lookup_hesiod.c $(AUTOFS_LIB) $(LIBHESIOD) $(LIBRESOLV) $(LIBS)
	$(STRIP) lookup_hesiod.so

cyrus-sasl.o: cyrus-sasl.c
	$(CC) $(CFLAGS) $(LDAP_FLAGS) -c $<

cyrus-sasl-extern.o: cyrus-sasl-extern.c
	$(CC) $(CFLAGS) $(LDAP_FLAGS) -c $<

lookup_ldap.so: lookup_ldap.c dclist.o base64.o $(SASL_OBJ)
	$(CC) $(LDFLAGS) $(SOLDFLAGS) $(CFLAGS) $(LDAP_FLAGS) -o lookup_ldap.so \
		lookup_ldap.c dclist.o base64.o $(SASL_OBJ) \
		$(AUTOFS_LIB) $(LIBLDAP) $(LIBRESOLV) $(LIBS)
	$(STRIP) lookup_ldap.so

mount_nfs.so: mount_nfs.c replicated.o
	$(CC) $(LDFLAGS) $(SOLDFLAGS) $(CFLAGS) -o mount_nfs.so \
		mount_nfs.c replicated.o $(AUTOFS_LIB) $(LIBS)
	$(STRIP) mount_nfs.so

=== debian/changelog ===
autofs (5.1.1-1ubuntu3) xenial; urgency=medium

  [ Malcolm Scott ]
  * d/p/fix-lookup-ldap-crash.patch:
    - Fix crash on startup due to uninitialized config.  LP: #1503034

  [ Michael Terry ]
  * d/p/fix-lookup-ldap-crash.patch:
    - Adjust above patch to be slightly more generic

 -- Michael Terry <mterry@ubuntu.com>  Thu, 19 Nov 2015 17:31:09 -0500

autofs (5.1.1-1ubuntu2) wily; urgency=low

  * Add LDFLAGS to avoid issues with accessing global variables in
    shared libraries (LP: #1470687, LP: #1472115).

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 07 Jul 2015 16:28:53 +0200

autofs (5.1.1-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
   - autofs.upstart script
   - debian/rules: build with sssldir path
   - d/p/fix-ssslib-search.patch - parts replaced by fix-sssldir.patch
   - d/p/16group_buffer_size.patch
  * Dropped patches:
    - CVE-2014-8169-add-a-prefix-to-program-map-stdvars.patch
    - CVE-2014-8169-add-config-option-to-force-use-of-program-map-stdvars.patch
    - lp1386869-fix-cant-automount-when--host-exist

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 06 Jul 2015 14:59:51 -0500

autofs (5.1.1-1) unstable; urgency=low

  * New upstream release [April 2015].
  * Install new "/etc/autofs.conf".
  * Patchworks: dropped obsolete patches; marked forwarded patches as such.
  * Removed old "14avoid_sock_cloexec.patch" with obsolete workaround for
    old kernels.
  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 29 Apr 2015 13:06:53 +1000

autofs (5.1.0-1) experimental; urgency=low

  [ Timo Aaltonen <tjaalton@ubuntu.com> ]
  * Add support for sssd backend (Closes: #762843).
    - control: Add sssd-common to build-depends.
    - rules, fix-sssldir.diff: Check the multiarch lib path when searching
      for libsss_autofs.so

  [ Salvatore Bonaccorso <carnil@debian.org> ]
  * Scan for upstream tarballs in various formats.
    The previous watch files only looked for bz2 compressed upstream
    tarballs. Upstream switched to tar.xz and tar.gz only since 5.0.9.
    Adjust the watch file to catch new upstream versions. (Closes: #779438)

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * Standards-Version to 3.9.6.
  * New upstream release [June 2014] (Closes: #779441, #741064, #743939).
  * Refreshed patches.
  * Dropped obsolete "default-autofs-remove-USE_MISC_DEVICE.patch".
  * Install native systemd service using "dh-systemd".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 10 Apr 2015 11:36:01 +1000

autofs (5.0.8-1ubuntu3.1) vivid; urgency=medium

  * Fix mount issues when using '-host' in conf file. (LP: #1386869)

 -- Seyeong Kim <seyeong.kim@canonical.com>  Tue, 28 Apr 2015 11:53:54 -0500

autofs (5.0.8-1ubuntu3) vivid; urgency=medium

  * SECURITY UPDATE: privilege escalation via interpreter load path
    - debian/patches/CVE-2014-8169-*.patch: add a prefix to program map
      stdvars and a config option to override it in include/mounts.h,
      lib/mounts.c, modules/lookup_program.c, modules/parse_sun.c,
      include/defaults.h, lib/defaults.c, modules/lookup_program.c,
      samples/autofs.conf.default.in, document changes in
      man/autofs.5, man/auto.master.5.in.
    - CVE-2014-8169

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Mar 2015 16:04:47 -0400

autofs (5.0.8-1ubuntu2) vivid; urgency=medium

  * Build with -fgnu89-inline. Closes: #777787.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Mar 2015 20:29:34 +0100

autofs (5.0.8-1ubuntu1) utopic; urgency=low

  [ Greg Lutostanski ]
  * Merge from Debian unstable. (LP: #1351337) Remaining changes:
    - debian/autofs.upstart - upstart job
    - debian/patches/16group_buffer_size.patch:
      + prevents package to eat the cpu if you have large groups.
    - Add support for sssd backend

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 05 Aug 2014 13:30:18 +1000

autofs (5.0.7-3ubuntu5) utopic; urgency=medium

  * Fix file descriptor leak when reloading daemon. (LP: #1316125)

 -- Rafael David Tinoco <rafael.tinoco@canonical.com>  Thu, 15 May 2014 18:05:40 -0300

autofs (5.0.7-3ubuntu4) utopic; urgency=high

  * No change rebuild against new dh_installinit, to call update-rc.d at
    postinst.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 May 2014 10:38:57 +0100

autofs (5.0.7-3ubuntu3) trusty; urgency=medium

  * fix-ssslib-search.patch: Don't skip sssd autofs search if presseded.
  * rules: set ssslibdir correctly when calling configure (LP: #1081489)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 05 Apr 2014 05:26:53 -0600

autofs (5.0.7-3ubuntu2) trusty; urgency=medium

  * Add support for sssd backend (LP: #1081489)
    - control: Add sssd-common to build-depends.
    - rules: Set sssldir for the sssd module so autoreconf knows about it.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 31 Jan 2014 13:57:03 +0200

autofs (5.0.7-3ubuntu1) raring; urgency=low

  * Merge from Debian, remaining changes are:
    - debian/autofs.upstart - upstart job
    - debian/patches/16group_buffer_size.patch:
      + prevents package to eat the cpu if you have large groups.
  
  * Dropped changes, merged in Debian:
    - Add patch to fix nsswitch parser to accept nsswitch.conf without an
      automout stanza as valid file. (Closes: #602090) (LP: #488696)
    - debian/patches/0001-Remove-kernel-mount.nfs-version-checks-on-Debian-Ubu.patch:
      Remove kernel & mount.nfs version checks on Debian/Ubuntu. (LP: #1016673)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 14 Nov 2012 11:50:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,22 @@
 Source: autofs
 Section: utils
 Priority: extra
-Maintainer: Michael Tokarev <mjt@tls.msk.ru>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Tokarev <mjt@tls.msk.ru>
 Uploaders: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>,
- Dmitry Smirnov <onlyjob@member.fsf.org>, William Dauchy <wdauchy@gmail.com>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 9), autoconf, lsb-base,
- bison, flex, libhesiod-dev, libkrb5-dev, libldap-dev, libsasl2-dev, libssl-dev, libxml2-dev
+           Dmitry Smirnov <onlyjob@debian.org>,
+           William Dauchy <wdauchy@gmail.com>
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), autoconf, lsb-base, dh-systemd,
+ bison,
+ flex,
+ libhesiod-dev,
+ libkrb5-dev,
+ libldap-dev,
+ libsasl2-dev,
+ libssl-dev,
+ libxml2-dev,
+ sssd-common
 Homepage: http://www.kernel.org/pub/linux/daemons/autofs/v5/
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/autofs.git
 VCS-Git: git://anonscm.debian.org/collab-maint/autofs.git

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@
+	dh $@ --with systemd
 
 override_dh_auto_configure:
 	autoreconf --force
@@ -21,6 +22,8 @@
 	MOUNT_NFS=/sbin/mount.nfs \
 	E2FSCK=/sbin/fsck.ext2 E3FSCK=/sbin/fsck.ext3 E4FSCK=/sbin/fsck.ext4 \
 	initdir=/etc/init.d piddir=/var/run \
+	sssldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sssd/modules \
+	multiarch=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	dh_auto_configure -- \
 		--enable-forced-shutdown \
 		--enable-ignore-busy \
@@ -39,6 +42,7 @@
 
 override_dh_auto_build:
 	CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
+	LDFLAGS="$(dpkg-buildflags --get LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')" \
 	dh_auto_build
 
 override_dh_install:

## autofs 5.1.2

=== daemon/Makefile ===
#
# Makefile for autofs
#

-include ../Makefile.conf
include ../Makefile.rules

SRCS = automount.c indirect.c direct.c spawn.c module.c mount.c \
	lookup.c state.c flag.c
OBJS = automount.o indirect.o direct.o spawn.o module.o mount.o \
	lookup.o state.o flag.o

version := $(shell cat ../.version)

CFLAGS += -rdynamic $(DAEMON_CFLAGS) -D_GNU_SOURCE -I../include
CFLAGS += -DAUTOFS_LIB_DIR=\"$(autofslibdir)\" 
CFLAGS += -DAUTOFS_MAP_DIR=\"$(autofsmapdir)\"
CFLAGS += -DAUTOFS_CONF_DIR=\"$(autofsconfdir)\"
CFLAGS += -DAUTOFS_FIFO_DIR=\"$(autofsfifodir)\"
CFLAGS += -DAUTOFS_FLAG_DIR=\"$(autofsflagdir)\"
CFLAGS += -DVERSION_STRING=\"$(version)\"
LDFLAGS += -rdynamic
LIBS += -ldl -lpthread

ifeq ($(LDAP), 1)
    CFLAGS += $(XML_FLAGS)
    LIBS += $(XML_LIBS)
endif

all: automount

automount: $(OBJS) $(AUTOFS_LIB)
	$(CC) $(DAEMON_LDFLAGS) -o automount $(OBJS) $(LDFLAGS) $(AUTOFS_LIB) $(LIBS)
	$(STRIP) automount

clean:
	rm -f *.o *.s *~ automount

install: all
	install -d -m 755 $(INSTALLROOT)$(sbindir)
	install -c automount -m 755 $(INSTALLROOT)$(sbindir)

=== debian/changelog ===
autofs (5.1.2-4) unstable; urgency=medium

  * QA upload.
  * Fix doubled .conf in a man page's filename, fixing FTBFS.
    (Closes: #903167)

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 09 Jul 2018 02:09:42 +0200

autofs (5.1.2-3) unstable; urgency=medium

  * QA upload.

  [ Laurent Bigonville ]
  * debian/control: Switch all the packages to Arch:linux-any

  [ Andreas Henriksson ]
  * Add e2fsprogs to build-dep and recommends (Closes: #887284)
  * Drop incorrect depends on lsb-base
  * Drop incorrect *build*-dep on lsb-base

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 17 Feb 2018 22:24:44 +0100

autofs (5.1.2-2) unstable; urgency=medium

  * QA upload.
  [ Laurent Bigonville ]
  * Orphan the package, see #849148
  * debian/watch: Update the URL now that kernel.org ftp has been shutdown
    (Closes: #864849)
  * debian/control: Add dependency against lsb-base (Closes: #864852)
  * debian/autofs.postrm: Remove /etc/autofs.conf on purge (Closes: #788129)
  * debian/autofs.dirs: Install empty /etc/auto.master.d directory (Closes:
    #884233)
  * debian/rules: Don't strip the binaries during the build so the dbgsym
    packages actually contain the debugging symbols
  * debian/control: Bump Standards-Version to 4.1.2 and bump the packages
    priority from extra to optional, the former is now deprecated
  * debian/control: Drop dh-systemd build-dependency and bump debhelper to (>=
    9.20160709)
  * debian/rules: Really enable the force shutdown signal handler as intended
    (Closes: #743654)
  * d/p/fix-autofsconf-manpage-section.patch: Fix manpage section
  * d/p/fix-autofs-manpage-whatis.patch: Fix whatis entry for autofs.8
    manpage (Closes: #864853)
  * Move autofs.conf.5 manpage from autofs-ldap to the main autofs package
    (Closes: #870653)
  * debian/rules: Set --enable-sloppy-mount instead of modifying the
    include/config.h file manually
  * debian/control: Drop autofs5 transitional packages (Closes: #878205)

  [ Timo Aaltonen ]
  * Replace fix-ssldir.patch with fix-ssslib-search.patch, which is more
    upstreamable. Preseed sssldir in rules.

 -- Laurent Bigonville <bigon@debian.org>  Wed, 13 Dec 2017 10:28:56 +0100

autofs (5.1.2-1) unstable; urgency=medium

  * New upstream release [June 2016] (Closes: #846054).
  * Build with "--disable-mount-locking" (Closes: #721331).
  * service: fixed path to "kill" utility (Closes: #785563).
  * Modernised and converted Vcs URLs to HTTPS.
  * Standards-Version: 3.9.8.
  * Removed myself from Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 23 Dec 2016 10:34:46 +1100

=== debian/control ===
Source: autofs
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.1.5
Build-Depends: debhelper (>= 9.20160709), autoconf,
 bison,
 e2fsprogs,
 flex,
 libhesiod-dev,
 libkrb5-dev,
 libldap-dev,
 libsasl2-dev,
 libssl-dev,
 libxml2-dev,
 sssd-common
Homepage: http://www.kernel.org/pub/linux/daemons/autofs/v5/
VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/autofs.git
VCS-Git: https://anonscm.debian.org/git/collab-maint/autofs.git

Package: autofs
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf
Provides: autofs5
Breaks: autofs5 (<< 5.0.6-1~)
Replaces: autofs5 (<< 5.0.6-1~)
Recommends: nfs-common, kmod | module-init-tools, e2fsprogs
Description: kernel-based automounter for Linux
 Autofs controls the operation of the automount daemons. The
 automount daemons automatically mount filesystems when they
 are used and unmount them after a period of inactivity. This
 is done based on a set of pre-configured maps.
 .
 The kernel automounter implements an almost complete SunOS
 style automounter under Linux. A recent version of the kernel
 autofs4 module (builtin or separate) is required.
 .
 This is the autofs daemon.

Package: autofs-ldap
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, autofs (= ${binary:Version})
Provides: autofs5-ldap
Breaks: autofs5-ldap (<< 5.0.6-1~)
Replaces: autofs5-ldap (<< 5.0.6-1~)
Description: LDAP map support for autofs
 Autofs controls the operation of the automount daemons. The
 automount daemons automatically mount filesystems when they
 are used and unmount them after a period of inactivity. This
 is done based on a set of pre-configured maps.
 .
 The kernel automounter implements an almost complete SunOS
 style automounter under Linux. A recent version of the kernel
 autofs4 module (builtin or separate) is required.
 .
 This is the LDAP module of the autofs.

Package: autofs-hesiod
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, autofs (= ${binary:Version})
Provides: autofs5-hesiod
Breaks: autofs5-hesiod (<< 5.0.6-1~)
Replaces: autofs5-hesiod (<< 5.0.6-1~)
Description: Hesiod map support for autofs
 Autofs controls the operation of the automount daemons. The
 automount daemons automatically mount filesystems when they
 are used and unmount them after a period of inactivity. This
 is done based on a set of pre-configured maps.
 .
 The kernel automounter implements an almost complete SunOS
 style automounter under Linux. A recent version of the kernel
 autofs4 module (builtin or separate) is required.
 .
 This is the Hesiod module of the autofs.

=== debian/rules ===
--- 
+++ 
@@ -18,15 +18,19 @@
 # which will figure out type of the filesystem automatically.
 # Also explicitly define some dirs/locations which will be searched
 # if not defined.
+# Always define --enable-sloppy-mount (mount -s).  Also a hack and
+# the same comment as above applies: upstream should use it unconditionally.
+# Even busybox mount understands -s.
 	MOUNT=/bin/mount UMOUNT=/bin/umount \
 	MOUNT_NFS=/sbin/mount.nfs \
 	E2FSCK=/sbin/fsck.ext2 E3FSCK=/sbin/fsck.ext3 E4FSCK=/sbin/fsck.ext4 \
 	initdir=/etc/init.d piddir=/var/run \
 	sssldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sssd/modules \
-	multiarch=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	dh_auto_configure -- \
-		--enable-forced-shutdown \
+		--disable-mount-locking \
+		--enable-force-shutdown \
 		--enable-ignore-busy \
+		--enable-sloppy-mount \
 		--mandir=/usr/share/man \
 		--with-confdir=/etc/default \
 		--with-mapdir=/etc \
@@ -34,16 +38,10 @@
 		--with-hesiod \
 		--with-openldap \
 		--with-sasl
-# Always define HAVE_SLOPPY_MOUNT (mount -s).  Also a hack and
-# the same comment as above applies: upstream should use it unconditionally.
-# Even busybox mount understands -s.
-	sed -i 's/.*HAVE_SLOPPY_MOUNT.*/#define HAVE_SLOPPY_MOUNT 1/' \
-		include/config.h
 
 override_dh_auto_build:
 	CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
-	LDFLAGS="$(dpkg-buildflags --get LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')" \
-	dh_auto_build
+	DONTSTRIP=1 dh_auto_build
 
 override_dh_install:
 	dh_install
